# Inspect or Read Paper (/api-reference/endpoint/research-paper)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 2144 · updated: 2026-07-30 -->
Related: [Search](/api-reference/endpoint/search.md), [Search Feedback](/api-reference/endpoint/search-feedback.md), [Scrape](/api-reference/endpoint/scrape.md), [Batch Scrape](/api-reference/endpoint/batch-scrape.md), [Get Batch Scrape Status](/api-reference/endpoint/batch-scrape-get.md), [Cancel Batch Scrape](/api-reference/endpoint/batch-scrape-delete.md)

Inspect paper metadata by id, or add a `query` parameter to read the most relevant full-text passages for a question.

Accepted ids include canonical `paperId` values and source-specific `primaryId` values (e.g. `arxiv:1706.03762`).

For a workflow overview, see the [Research Index guide](/features/research).

`GET /search/research/papers/{id}`

Inspect or read a paper

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "description": "Paper reference: a canonical paperId or source-specific primaryId.",
      "schema": {
        "type": "string"
      },
      "examples": {
        "paperId": {
          "summary": "Canonical paperId",
          "value": "2014215642691656232"
        },
        "sourceId": {
          "summary": "Source-specific primaryId",
          "value": "arxiv:2105.05233"
        }
      }
    },
    {
      "name": "query",
      "in": "query",
      "required": false,
      "description": "When present, returns the top matching full-text passages for this question. Omit it to inspect metadata only.",
      "schema": {
        "type": "string",
        "minLength": 1
      }
    },
    {
      "name": "k",
      "in": "query",
      "required": false,
      "description": "Passage count for read mode. Only valid when query is present.",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 50,
        "default": 4
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Paper metadata or read-mode passages.",
      "content": {
        "application/json": {
          "schema": {
            "oneOf": [
              {
                "type": "object",
                "required": [
                  "success",
                  "paper"
                ],
                "properties": {
                  "success": {
                    "type": "boolean"
                  },
                  "paper": {
                    "type": "object",
                    "required": [
                      "paperId",
                      "title",
                      "abstract"
                    ],
                    "properties": {
                      "paperId": {
                        "type": "string",
                        "description": "Canonical paper id."
                      },
                      "ids": {
                        "type": "object",
                        "description": "Source identifiers grouped by namespace.",
                        "additionalProperties": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "example": {
                          "arxiv": [
                            "2105.05233"
                          ]
                        }
                      },
                      "title": {
                        "type": "string"
                      },
                      "abstract": {
                        "type": "string"
                      },
                      "authors": {
                        "type": "string",
                        "description": "Comma-joined author names."
                      },
                      "categories": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "description": "Paper categories."
                      },
                      "createdDate": {
                        "type": "string",
                        "description": "Original creation date string."
                      },
                      "updateDate": {
                        "type": "string",
                        "description": "Last-updated date string."
                      }
                    }
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "success",
                  "paper",
                  "paperId",
                  "query",
                  "passages"
                ],
                "properties": {
                  "success": {
                    "type": "boolean"
                  },
                  "paper": {
                    "type": "object",
                    "required": [
                      "paperId",
                      "title",
                      "abstract"
                    ],
                    "properties": {
                      "paperId": {
                        "type": "string",
                        "description": "Canonical paper id."
                      },
                      "ids": {
                        "type": "object",
                        "description": "Source identifiers grouped by namespace.",
                        "additionalProperties": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "example": {
                          "arxiv": [
                            "2105.05233"
                          ]
                        }
                      },
                      "title": {
                        "type": "string"
                      },
                      "abstract": {
                        "type": "string"
                      },
                      "authors": {
                        "type": "string",
                        "description": "Comma-joined author names."
                      },
                      "categories": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "description": "Paper categories."
                      },
                      "createdDate": {
                        "type": "string",
                        "description": "Original creation date string."
                      },
                      "updateDate": {
                        "type": "string",
                        "description": "Last-updated date string."
                      }
                    }
                  },
                  "paperId": {
                    "type": "string"
                  },
                  "query": {
                    "type": "string"
                  },
                  "passages": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "text",
                        "score"
                      ],
                      "properties": {
                        "text": {
                          "type": "string",
                          "description": "In-body passage text. May include markdown tables."
                        },
                        "score": {
                          "type": "number",
                          "format": "double",
                          "description": "Dense similarity score for the passage."
                        }
                      }
                    }
                  }
                }
              }
            ]
          },
          "example": {
            "success": true,
            "paper": {
              "paperId": "2014215642691656232",
              "ids": {
                "arxiv": [
                  "2105.05233"
                ]
              },
              "title": "Diffusion Models Beat GANs on Image Synthesis",
              "abstract": "We show that diffusion models can achieve image sample quality superior to the current state-of-the-art generative models...",
              "authors": "Prafulla Dhariwal, Alexander Nichol",
              "categories": [
                "cs.LG"
              ],
              "createdDate": "Wed, 11 May 2021 18:01:01 GMT",
              "updateDate": "2021-06-01"
            }
          }
        }
      }
    },
    "400": {
      "description": "Invalid request"
    },
    "401": {
      "description": "Missing or invalid bearer token"
    },
    "404": {
      "description": "Paper not found"
    },
    "429": {
      "description": "Rate limit exceeded"
    },
    "500": {
      "description": "Internal server error"
    }
  }
}
```
